Subject: Re: linux-next: Tree for Jul 11 [drivers/gpu/drm/amd/amdgpu/amdgpu.ko]

From: Mario Limonciello <[email-masked]>
Date: Sat, 12 Jul 2025 14:02:38 -0500

On 7/12/25 3:11 AM, Rafael J. Wysocki wrote:
> On Fri, Jul 11, 2025 at 11:25 PM Randy Dunlap <[email-masked]> wrote:
>>
>>
>>
>> On 7/11/25 2:10 AM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20250710:
>>>
>>
>> on x86_64, when
>> # CONFIG_SUSPEND is not set
>> # CONFIG_HIBERNATION is not set
>> # CONFIG_PM is not set
>>
>> ERROR: modpost: "pm_hibernate_is_recovering" [drivers/gpu/drm/amd/amdgpu/amdgpu.ko] undefined!
>>
>> caused by commit
>> 530694f54dd5e ("drm/amdgpu: do not resume device in thaw for normal hibernation")
>>
>> Rafael, is a stub appropriate for this case?
> 
> pm_hibernate_is_recovering() is not supposed to be called by code that
> does not depend on CONFIG_HIBERNATE_CALLBACKS, but a stub returning
> false would work for this.

Thanks, I just sent out a fix for this.

> 
> Mario, it would be good to fix this up in your tree.  Also, it would
> be good to expose stuff to 0-day build testing before letting it go
> into linux-next.  I use the bleeding-edge branch for this purpose.
> 
Honestly; I'm surprised that 0-day didn't raise this on either dri-devel 
or amd-gfx.  I had expected at least one of those lists to raise this 
over the last week of patches.

Anyone know the history why neither has 0-day?